> For the complete documentation index, see [llms.txt](https://docs.fullwhere.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fullwhere.com/developer/api-references/customer.md).

# Customer

## GET /partners/customer

> Get a customer by ID

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/customer":{"get":{"operationId":"PartnersCustomerController_getCustomer","parameters":[{"name":"id","required":true,"in":"query","description":"The UUID of the customer to retrieve","schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The customer has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCustomer"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"},"404":{"description":"Customer not found."}},"summary":"Get a customer by ID","tags":["Customer"]}}},"components":{"schemas":{"PartnerCustomer":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"description":{"type":"string","nullable":true,"description":"Customer description","default":null},"company":{"type":"string","nullable":true,"description":"Customer company name","default":null},"firstName":{"type":"string","nullable":true,"description":"Customer first name","default":null},"lastName":{"type":"string","nullable":true,"description":"Customer last name","default":null},"displayName":{"type":"string","nullable":true,"description":"Customer display name\nThis is usually a concatenation of first name and last name","default":null},"language":{"nullable":true,"description":"Language preference of the customer","default":null,"allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"phoneNumber":{"type":"string","nullable":true,"description":"Phone number of the customer","default":null},"email":{"type":"string","nullable":true,"description":"Email address of the customer","default":null},"emailBounced":{"type":"boolean","description":"Indicates if the customer's email has bounced"},"civility":{"type":"string","nullable":true,"description":"Civility of the customer (e.g., Mr., Ms., etc.)","default":null},"tags":{"description":"A list of tags associated with the customer","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomerTag"}},"emailOptin":{"type":"boolean","description":"Indicates if the customer has opted in for email communications"},"smsOptin":{"type":"boolean","description":"Indicates if the customer has opted in for SMS communications"},"zenchefId":{"type":"string","nullable":true,"description":"ID of the customer in Zenchef system","default":null},"ubereatsId":{"type":"string","nullable":true,"description":"ID of the customer in UberEats system","default":null},"deliverooId":{"type":"string","nullable":true,"description":"ID of the customer in Deliveroo system","default":null},"zeltyId":{"type":"string","nullable":true,"description":"ID of the customer in Zelty system","default":null},"sevenroomsId":{"type":"string","nullable":true,"description":"ID of the customer in Sevenrooms system","default":null},"metaId":{"type":"string","nullable":true,"description":"ID of the customer in Meta system (Facebook/Instagram)","default":null},"tiktokId":{"type":"string","nullable":true,"description":"TikTok customer identity scoped to its developer application and connected business","default":null},"mewsId":{"type":"string","nullable":true,"description":"ID of the customer in Mews system","default":null},"oracleId":{"type":"string","nullable":true,"description":"ID of the customer in Oracle system","default":null},"partoucheId":{"type":"string","nullable":true,"description":"ID of the customer in Partouche system","default":null},"comoId":{"type":"string","nullable":true,"description":"ID of the customer in Como system","default":null},"theForkId":{"type":"string","nullable":true,"description":"ID of the customer in TheFork system","default":null},"chr365Id":{"type":"string","nullable":true,"description":"ID of the customer in Chr365 system","default":null},"misterBookingId":{"type":"string","nullable":true,"description":"ID of the customer in MisterBooking system","default":null},"type":{"nullable":true,"description":"Type of the customer (e.g., Individual, Company, etc.)","default":null,"enum":["Unknown","Purchaser","Reviewer","Both"],"type":"string"},"feedbackCount":{"type":"number","description":"Number of feedbacks provided by the customer"},"purchaseCount":{"type":"number","description":"Number of purchases made by the customer"},"averageFeedbackRating":{"type":"string","nullable":true,"description":"Average feedback rating given by the customer","default":null},"dataSources":{"description":"Data sources associated with the customer","type":"array","items":{"$ref":"#/components/schemas/DataSource"}},"metadata":{"description":"Metadata associated with the customer","allOf":[{"$ref":"#/components/schemas/CustomerMetadatasEmbeddable"}]},"attributes":{"description":"Custom attribute values associated with the customer","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomerCustomAttributeValue"}}},"required":["id","createdAt","updatedAt","description","company","firstName","lastName","displayName","phoneNumber","email","emailBounced","civility","tags","emailOptin","smsOptin","zenchefId","ubereatsId","deliverooId","zeltyId","sevenroomsId","metaId","tiktokId","mewsId","oracleId","partoucheId","comoId","theForkId","chr365Id","misterBookingId","type","feedbackCount","purchaseCount","averageFeedbackRating","dataSources","metadata","attributes"]},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerCustomerTag":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"tag":{"type":"string","description":"Tag name"},"color":{"type":"string","nullable":true,"description":"Tag hexadecimal color","default":null}},"required":["id","createdAt","updatedAt","tag","color"]},"DataSource":{"type":"string","enum":["AutoGestion","Booking","BubbleContactEmail","Como","Deliveroo","Email","Experience","Lunoval","Facebook","Google","Gmail","Import","Instagram","Juxta","Mews","Oracle","Outlook","Salesforce","SelligentPartouche","Sevenrooms","Site","Sms","Sunday","Survey","TripAdvisor","Ubereats","WhatsApp","Zelty","Zenchef","TheFork","TikTok","Chr365","Expedia","Hotels.com","MisterBooking"],"description":"Data sources associated with the customer"},"CustomerMetadatasEmbeddable":{"type":"object","properties":{"googleMyBusiness":{"nullable":true,"description":"Google my business customer metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessCustomerMetadatasEmbeddable"}]},"zelty":{"nullable":true,"description":"Zelty customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ZeltyCustomerMetadatasEmbeddable"}]},"zenchef":{"nullable":true,"description":"Zenchef customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"juxta":{"nullable":true,"description":"Juxta customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/JuxtaCustomerMetadatasEmbeddable"}]},"salesforce":{"nullable":true,"description":"Salesforce customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SalesforceCustomerMetadatasEmbeddable"}]},"deliveroo":{"nullable":true,"description":"Deliveroo customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/DeliverooCustomerMetadatasEmbeddable"}]},"tripadvisor":{"nullable":true,"description":"TripAdvisor customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/TripAdvisorCustomerMetadatasEmbeddable"}]},"booking":{"nullable":true,"description":"Booking customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/BookingCustomerMetadatasEmbeddable"}]},"ubereats":{"nullable":true,"description":"UberEats customer metadatas","type":"object","allOf":[{"$ref":"#/components/schemas/UbereatsCustomerMetadatasEmbeddable"}]},"sevenrooms":{"nullable":true,"description":"Sevenrooms customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/SevenroomsCustomerMetadatasEmbeddable"}]},"facebook":{"nullable":true,"description":"Facebook customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/FacebookCustomerMetadatasEmbeddable"}]},"instagram":{"nullable":true,"description":"Instagram customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/InstagramCustomerMetadatasEmbeddable"}]},"whatsapp":{"nullable":true,"description":"WhatsApp customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppCustomerMetadatasEmbeddable"}]},"mews":{"nullable":true,"description":"Mews customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/MewsCustomerMetadatasEmbeddable"}]},"oracle":{"nullable":true,"description":"Oracle customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/OracleCustomerMetadatasEmbeddable"}]},"partouche":{"nullable":true,"description":"Partouche customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/PartoucheCustomerMetadatasEmbeddable"}]},"como":{"nullable":true,"description":"Como customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ComoCustomerMetadatasEmbeddable"}]},"experience":{"nullable":true,"description":"Experience customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ExperienceCustomerMetadatasEmbeddable"}]},"autoGestion":{"nullable":true,"description":"AutoGestion customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/AutoGestionCustomerMetadatasEmbeddable"}]},"theFork":{"nullable":true,"description":"TheFork customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/TheForkCustomerMetadatasEmbeddable"}]},"import":{"type":"object","additionalProperties":{"type":"string"},"nullable":true,"description":"Custom import data"},"chr365":{"nullable":true,"description":"Chr365 customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/Chr365CustomerMetadatasEmbeddable"}]},"expedia":{"nullable":true,"description":"Expedia customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/ExpediaCustomerMetadatasEmbeddable"}]},"misterBooking":{"nullable":true,"description":"MisterBooking customer metadatas.","type":"object","allOf":[{"$ref":"#/components/schemas/MisterBookingCustomerMetadatasEmbeddable"}]},"hotelsCom":{"nullable":true,"description":"Hotels.com data retrieved through Expedia Group.","type":"object","allOf":[{"$ref":"#/components/schemas/HotelsComCustomerMetadatasEmbeddable"}]}}},"GoogleMyBusinessCustomerMetadatasEmbeddable":{"type":"object","properties":{"displayName":{"type":"string","nullable":true},"profilePhotoUrl":{"type":"string","nullable":true},"isAnonymous":{"type":"boolean","nullable":true}},"required":["displayName","profilePhotoUrl","isAnonymous"]},"ZeltyCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"uuid":{"type":"string","nullable":true},"remote_id":{"type":"string","nullable":true},"nice_name":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"fname":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"card":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"phone2":{"type":"string","nullable":true},"mail":{"type":"string","nullable":true},"birthday":{"type":"string","nullable":true},"balance":{"type":"number","nullable":true},"personal_info":{"type":"string","nullable":true},"loyalty":{"type":"number","nullable":true},"registration":{"type":"string","nullable":true},"default_address":{"type":"number","nullable":true},"billing_address":{"type":"number","nullable":true},"sms_optin":{"type":"boolean","nullable":true},"mail_optin":{"type":"boolean","nullable":true},"turnover":{"type":"number","nullable":true},"nb_orders":{"type":"number","nullable":true},"last_order_date":{"type":"string","nullable":true},"other":{"type":"string","nullable":true},"metadata":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"addresses":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZeltyAddressEmbeddable"}},"country_code":{"type":"string","nullable":true}},"required":["id","uuid","remote_id","nice_name","updated_at","name","fname","company","card","phone","phone2","mail","birthday","balance","personal_info","loyalty","registration","default_address","billing_address","sms_optin","mail_optin","turnover","nb_orders","last_order_date","other","metadata","addresses","country_code"]},"ZeltyAddressEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"remote_id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"street":{"type":"string","nullable":true},"street_num":{"type":"string","nullable":true},"zip_code":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"formatted_address":{"type":"string","nullable":true},"google_id":{"type":"string","nullable":true},"location":{"nullable":true,"type":"array","items":{"type":"number"}},"address_more":{"type":"string","nullable":true},"floor":{"type":"string","nullable":true},"door":{"type":"string","nullable":true},"building":{"type":"string","nullable":true},"code":{"type":"string","nullable":true}},"required":["id","remote_id","name","street","street_num","zip_code","city","formatted_address","google_id","location","address_more","floor","door","building","code"]},"ZenchefCustomerMetadatasEmbeddable":{"type":"object","properties":{"is_walk_in":{"description":"Whether the booking is a walk-in, using the provider's numeric or boolean flag.","anyOf":[{"type":"number","nullable":true},{"type":"boolean"}]},"unsubscribed":{"description":"Provider opt-out flag, represented as a boolean or a numeric value.","anyOf":[{"type":"boolean","nullable":true},{"type":"number"}]},"tables":{"type":"array","nullable":true,"default":[],"items":{"anyOf":[{"$ref":"#/components/schemas/ZenchefRestaurantTableEmbeddable"},{"type":"string"}]}},"image":{"nullable":true,"anyOf":[{}]},"restaurant_customer_sheets":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"social_profile":{"nullable":true,"anyOf":[{}]},"customer_social_id":{"anyOf":[{"type":"string","nullable":true},{"type":"number"}]},"vip":{"description":"Provider VIP flag, represented as a number or a boolean.","anyOf":[{"type":"number","nullable":true},{"type":"boolean"}]},"automatic_tags":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"booking_transfer":{"nullable":true,"anyOf":[{}]},"cancel_reason":{"nullable":true,"anyOf":[{}]},"custom_field_values":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"files":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"prescriber":{"nullable":true,"anyOf":[{}]},"scheduled_option":{"nullable":true,"anyOf":[{}]},"voucher":{"nullable":true,"anyOf":[{}]},"voucher_codes":{"type":"array","nullable":true,"items":{"anyOf":[{}]}},"id":{"type":"number"},"type":{"type":"string"},"partner_id":{"type":"string","nullable":true},"reservation_type":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"resto_id":{"type":"number","nullable":true},"resto_name":{"type":"string","nullable":true},"to":{"type":"string","nullable":true},"day":{"type":"string","nullable":true},"time":{"type":"string","nullable":true},"nb_guests":{"type":"number","nullable":true},"slots_count":{"type":"number","nullable":true},"civility":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"private_comment":{"type":"string","nullable":true},"allergies":{"type":"string","nullable":true},"cancel_reason_id":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"moment":{"type":"string","nullable":true},"type_client":{"type":"string","nullable":true},"type_event":{"type":"string","nullable":true},"budget":{"type":"string","nullable":true},"date":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"reply_date":{"type":"string","nullable":true},"treatment":{"type":"string","nullable":true},"url":{"type":"string","nullable":true},"waiting_list_for":{"type":"string","nullable":true},"is_reconfirmed":{"type":"number","nullable":true},"is_canceled_late":{"type":"number","nullable":true},"waiting_reconfirmation":{"type":"string","nullable":true},"is_locked":{"type":"boolean","nullable":true},"is_not_destockable":{"type":"boolean","nullable":true},"is_virtual_menu_sent":{"type":"number","nullable":true},"review":{"type":"number","nullable":true},"review_reminder":{"type":"number","nullable":true},"attendance_customer":{"type":"number","nullable":true},"customer_sheet_id":{"type":"number","nullable":true},"waiter_id":{"type":"number","nullable":true},"custom_field":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"prescriber_id":{"type":"string","nullable":true},"is_risky":{"type":"boolean","nullable":true},"is_safe":{"type":"boolean","nullable":true},"status_updated_at":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"source_id":{"type":"number","nullable":true},"shift_date":{"type":"string","nullable":true},"waiting_inside_for":{"type":"string","nullable":true},"seated_substatus":{"type":"string","nullable":true},"phase":{"type":"string","nullable":true},"full_name":{"type":"string","nullable":true},"is_last_mail_notification_success":{"type":"boolean","nullable":true},"is_last_sms_notification_success":{"type":"boolean","nullable":true},"is_modifiable_by_end_user":{"type":"boolean","nullable":true},"late_cancelable_starting_at":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"number"}},"uuid":{"type":"string","nullable":true},"uuid_or_id":{"type":"string","nullable":true},"shift_slot":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerShiftSlotEmbeddable"}]},"shift_slot_id":{"type":"number","nullable":true},"customersheet":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"restaurant":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantEmbeddable"}]},"marketing_param":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMarketingParamEmbeddable"}]},"owner_id":{"type":"number","nullable":true},"restaurantid":{"type":"number","nullable":true},"retention_rate_label":{"type":"string","nullable":true},"retention_rate":{"type":"number","nullable":true},"company":{"type":"string","nullable":true},"account_id":{"type":"number","nullable":true},"customer_company_id":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"professional_email":{"type":"string","nullable":true},"professional_phone":{"type":"string","nullable":true},"birthdate":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"membershipnum":{"type":"string","nullable":true},"has_no_show":{"type":"number","nullable":true},"is_new":{"type":"number","nullable":true},"is_blacklisted":{"type":"number","nullable":true},"has_opt_in_market_mail":{"type":"number","nullable":true},"has_opt_in_review_mail":{"type":"number","nullable":true},"imported_nb_bookings":{"type":"number","nullable":true},"non_duplicate_with":{"type":"string","nullable":true},"deleted_at":{"type":"string","nullable":true},"optins":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerOptinEmbeddable"}},"booking_offers":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerBookingOfferEmbeddable"}},"charge":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingChargeEmbeddable"}]},"policy":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingPolicyEmbeddable"}]},"waiter":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingWaiterEmbeddable"}]},"wish":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingWishEmbeddable"}]},"custom_color":{"type":"string","nullable":true},"expires_at":{"type":"string","nullable":true},"customer_sheet":{"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}},"charge_askable":{"type":"boolean","nullable":true},"has_transactional_notifications":{"type":"boolean"}},"required":["is_walk_in","unsubscribed","tables","image","restaurant_customer_sheets","social_profile","customer_social_id","vip","automatic_tags","booking_transfer","cancel_reason","custom_field_values","files","prescriber","scheduled_option","voucher","voucher_codes","id","type","partner_id","reservation_type","restaurant_id","resto_id","resto_name","to","day","time","nb_guests","slots_count","civility","firstname","lastname","country","phone_number","email","comment","private_comment","allergies","cancel_reason_id","zip","lang","moment","type_client","type_event","budget","date","status","reply_date","treatment","url","waiting_list_for","is_reconfirmed","is_canceled_late","waiting_reconfirmation","is_locked","is_not_destockable","is_virtual_menu_sent","review","review_reminder","attendance_customer","customer_sheet_id","waiter_id","custom_field","prescriber_id","is_risky","is_safe","status_updated_at","created_at","updated_at","source_id","shift_date","waiting_inside_for","seated_substatus","phase","full_name","is_last_mail_notification_success","is_last_sms_notification_success","is_modifiable_by_end_user","late_cancelable_starting_at","tags","uuid","uuid_or_id","shift_slot","shift_slot_id","customersheet","restaurant","marketing_param","owner_id","restaurantid","retention_rate_label","retention_rate","company","account_id","customer_company_id","phone","professional_email","professional_phone","birthdate","address","city","membershipnum","has_no_show","is_new","is_blacklisted","has_opt_in_market_mail","has_opt_in_review_mail","imported_nb_bookings","non_duplicate_with","deleted_at","optins","booking_offers","charge","policy","waiter","wish","custom_color","expires_at","customer_sheet","charge_askable","has_transactional_notifications"]},"ZenchefRestaurantTableEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"booking_room_id":{"type":"number","nullable":true},"x":{"type":"number","nullable":true},"y":{"type":"number","nullable":true},"min":{"type":"number","nullable":true},"max":{"type":"number","nullable":true},"rotation":{"type":"number","nullable":true},"table_type_id":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"laravel_through_key":{"type":"number","nullable":true},"table_combinations":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTableCombinationEmbeddable"}}},"required":["id","name","booking_room_id","x","y","min","max","rotation","table_type_id","created_at","updated_at","laravel_through_key","table_combinations"]},"ZenchefRestaurantTableCombinationEmbeddable":{"type":"object","properties":{"pivot":{"nullable":true,"description":"Source link between a seating table and its table combination.","type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantPivotEmbeddable"}]},"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"min":{"type":"number","nullable":true},"max":{"type":"number","nullable":true},"position":{"type":"number","nullable":true},"is_group":{"type":"number","nullable":true},"is_bookable":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"booking_room_id":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["pivot","id","name","min","max","position","is_group","is_bookable","restaurant_id","booking_room_id","created_at","updated_at"]},"ZenchefRestaurantPivotEmbeddable":{"type":"object","properties":{"booking_table_id":{"type":"number","nullable":true},"table_combination_id":{"type":"number","nullable":true}},"required":["booking_table_id","table_combination_id"]},"ZenchefCustomerShiftSlotEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"slot_name":{"type":"string","nullable":true},"slot_id":{"type":"number","nullable":true},"interval_in_minutes":{"type":"number","nullable":true},"id":{"type":"number","nullable":true},"shift":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerShiftEmbeddable"}]}},"required":["name","slot_name","slot_id","interval_in_minutes","id","shift"]},"ZenchefCustomerShiftEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"ZenchefRestaurantEmbeddable":{"type":"object","properties":{"state":{"nullable":true,"description":"Raw provider state payload; its shape is not specified by the provider contract.","anyOf":[{}]},"tracking_phone":{"nullable":true,"description":"Raw provider tracking phone payload; its shape is not specified by the provider contract.","anyOf":[{}]},"accounting":{"nullable":true,"description":"Raw provider accounting payload; its shape is not specified by the provider contract.","anyOf":[{}]},"reservation_auto_conf_max":{"nullable":true,"description":"Raw provider reservation auto conf max payload; its shape is not specified by the provider contract.","anyOf":[{}]},"ereputation":{"nullable":true,"description":"Raw provider ereputation payload; its shape is not specified by the provider contract.","anyOf":[{}]},"ereputation_activation_code":{"nullable":true,"description":"Raw provider ereputation activation code payload; its shape is not specified by the provider contract.","anyOf":[{}]},"completion":{"nullable":true,"description":"Raw provider completion payload; its shape is not specified by the provider contract.","anyOf":[{}]},"to_be_deleted_at":{"nullable":true,"description":"Raw provider to be deleted at payload; its shape is not specified by the provider contract.","anyOf":[{}]},"deleted_at":{"nullable":true,"description":"Raw provider deleted at payload; its shape is not specified by the provider contract.","anyOf":[{}]},"date_start_contract_updated_at":{"nullable":true,"description":"Raw provider date start contract updated at payload; its shape is not specified by the provider contract.","anyOf":[{}]},"date_end_free_trial":{"nullable":true,"description":"Raw provider date end free trial payload; its shape is not specified by the provider contract.","anyOf":[{}]},"amount_method":{"nullable":true,"description":"Raw provider amount method payload; its shape is not specified by the provider contract.","anyOf":[{}]},"twilio_phone":{"nullable":true,"description":"Raw provider twilio phone payload; its shape is not specified by the provider contract.","anyOf":[{}]},"newsletter_counters_calculated_at":{"nullable":true,"description":"Raw provider newsletter counters calculated at payload; its shape is not specified by the provider contract.","anyOf":[{}]},"socials":{"nullable":true,"description":"Raw provider socials payload; its shape is not specified by the provider contract.","anyOf":[{}]},"module_html":{"nullable":true,"description":"Raw provider module html payload; its shape is not specified by the provider contract.","anyOf":[{}]},"module_video":{"nullable":true,"description":"Raw provider module video payload; its shape is not specified by the provider contract.","anyOf":[{}]},"module_virtual_tour":{"nullable":true,"description":"Raw provider module virtual tour payload; its shape is not specified by the provider contract.","anyOf":[{}]},"custom_link":{"nullable":true,"description":"Raw provider custom link payload; its shape is not specified by the provider contract.","anyOf":[{}]},"custom_button":{"nullable":true,"description":"Raw provider custom button payload; its shape is not specified by the provider contract.","anyOf":[{}]},"facebook_app":{"nullable":true,"description":"Raw provider facebook app payload; its shape is not specified by the provider contract.","anyOf":[{}]},"custom_web_setting":{"nullable":true,"description":"Raw provider custom web setting payload; its shape is not specified by the provider contract.","anyOf":[{}]},"custom_web_stylesheet":{"nullable":true,"description":"Raw provider custom web stylesheet payload; its shape is not specified by the provider contract.","anyOf":[{}]},"country":{"description":"Source country as a structured snapshot or a legacy string representation.","anyOf":[{"type":"string","nullable":true},{"$ref":"#/components/schemas/ZenchefRestaurantCountryEmbeddable"}]},"tag_params":{"nullable":true,"description":"Raw provider tag params payload; its shape is not specified by the provider contract.","anyOf":[{}]},"suggested_restaurants":{"type":"array","nullable":true,"description":"Raw provider suggested restaurants payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"voucher_param":{"nullable":true,"description":"Raw provider voucher param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"restaurant_payment_param":{"nullable":true,"description":"Raw provider restaurant payment param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"restaurant_payment_providers":{"type":"array","nullable":true,"description":"Raw provider restaurant payment providers payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"certifications":{"nullable":true,"description":"Raw provider certifications payload; its shape is not specified by the provider contract.","anyOf":[{}]},"command_comment":{"nullable":true,"description":"Raw provider command comment payload; its shape is not specified by the provider contract.","anyOf":[{}]},"comment":{"nullable":true,"description":"Raw provider comment payload; its shape is not specified by the provider contract.","anyOf":[{}]},"charge_param":{"nullable":true,"description":"Raw provider charge param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"backoffice_param":{"nullable":true,"description":"Raw provider backoffice param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"cancelation_param":{"nullable":true,"description":"Raw provider cancelation param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"waiters":{"type":"array","nullable":true,"description":"Raw provider waiters payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"groups":{"type":"array","nullable":true,"description":"Raw provider groups payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"price_plan":{"nullable":true,"description":"Raw provider price plan payload; its shape is not specified by the provider contract.","anyOf":[{}]},"stock_table_param":{"nullable":true,"description":"Raw provider stock table param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"acl_packs":{"type":"array","nullable":true,"description":"Raw provider acl packs payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"restaurant_params":{"type":"array","nullable":true,"description":"Raw provider restaurant params payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"user_acls":{"type":"array","nullable":true,"description":"Raw provider user acls payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"seatingPlanParams":{"nullable":true,"description":"Raw provider seating plan params payload; its shape is not specified by the provider contract.","anyOf":[{}]},"bookingParams":{"nullable":true,"description":"Raw provider booking params payload; its shape is not specified by the provider contract.","anyOf":[{}]},"commandParams":{"nullable":true,"description":"Raw provider command params payload; its shape is not specified by the provider contract.","anyOf":[{}]},"restaurant_prepayment_param":{"nullable":true,"description":"Raw provider restaurant prepayment param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"restaurant_imprint_param":{"nullable":true,"description":"Raw provider restaurant imprint param payload; its shape is not specified by the provider contract.","anyOf":[{}]},"acls":{"type":"array","nullable":true,"description":"Raw provider acls payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"publishers":{"type":"array","nullable":true,"description":"Raw provider publishers payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"reviewDistributions":{"type":"array","nullable":true,"description":"Raw provider review distributions payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"descriptions":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true,"description":"Source descriptions values indexed by their provider keys."},"photos":{"type":"array","description":"Raw provider photos payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"id":{"type":"number","nullable":true},"owner_id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"address_2":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"longitude":{"type":"string","nullable":true},"latitude":{"type":"string","nullable":true},"timezone":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"capacity":{"type":"number","nullable":true},"avg_budget":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"facebook":{"type":"string","nullable":true},"twitter":{"type":"string","nullable":true},"instagram":{"type":"string","nullable":true},"google_plus":{"type":"string","nullable":true},"tripadvisor":{"type":"string","nullable":true},"moving":{"type":"number","nullable":true},"phone":{"type":"string","nullable":true},"phone_2":{"type":"string","nullable":true},"fax":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"reservation_email":{"type":"string","nullable":true},"reservation_phone":{"type":"string","nullable":true},"reservation_phone_sms":{"type":"string","nullable":true},"charge_emails":{"type":"string","nullable":true},"reconfirmation_emails":{"type":"string","nullable":true},"prepay_emails":{"type":"string","nullable":true},"command_emails":{"type":"string","nullable":true},"sms_oadc":{"type":"string","nullable":true},"reservation":{"type":"number","nullable":true},"reservation_notifications":{"type":"number","nullable":true},"delivery":{"type":"number","nullable":true},"actived_phone_tracking":{"type":"number","nullable":true},"metro":{"type":"string","nullable":true},"train":{"type":"string","nullable":true},"velo":{"type":"string","nullable":true},"autolib":{"type":"string","nullable":true},"parking":{"type":"string","nullable":true},"bus":{"type":"string","nullable":true},"delivery_url":{"type":"string","nullable":true},"reservation_url":{"type":"string","nullable":true},"wap_vhost":{"type":"string","nullable":true},"subdomain":{"type":"string","nullable":true},"web_vhost":{"type":"string","nullable":true},"web_subdomain":{"type":"string","nullable":true},"www_redirect":{"type":"string","nullable":true},"page_title":{"type":"string","nullable":true},"own_website":{"type":"number","nullable":true},"analytics":{"type":"string","nullable":true},"tag_manager":{"type":"string","nullable":true},"facebook_pixel_id":{"type":"string","nullable":true},"theme":{"type":"string","nullable":true},"button_theme":{"type":"string","nullable":true},"color":{"type":"string","nullable":true},"business_type":{"type":"string","nullable":true},"is_client":{"type":"number","nullable":true},"is_ambassador":{"type":"number","nullable":true},"has_been_client":{"type":"number","nullable":true},"client_type":{"type":"string","nullable":true},"price_plan_id":{"type":"number","nullable":true},"recovery_at":{"type":"string","nullable":true},"is_recovery":{"type":"number","nullable":true},"closed":{"type":"number","nullable":true},"sms_credits":{"type":"number","nullable":true},"reservation_auto_conf":{"type":"number","nullable":true},"auto_modified":{"type":"string","nullable":true},"booking_widget_time_interval":{"type":"string","nullable":true},"is_blocking_waiting":{"type":"number","nullable":true},"custom_web_setting_id":{"type":"string","nullable":true},"sf_opportunity_id":{"type":"string","nullable":true},"sf_account_id":{"type":"string","nullable":true},"cbee_account_id":{"type":"string","nullable":true},"z_account_id":{"type":"string","nullable":true},"invokit_id":{"type":"number","nullable":true},"company_id":{"type":"number","nullable":true},"parent_id":{"type":"string","nullable":true},"country_id":{"type":"number","nullable":true},"google_rating":{"type":"number","nullable":true},"ereputation_id":{"type":"string","nullable":true},"ereputation_url":{"type":"string","nullable":true},"date_start_contract":{"type":"string","nullable":true},"nb_reservation_total":{"type":"string","nullable":true},"revenue_total":{"type":"string","nullable":true},"slug":{"type":"string","nullable":true},"mail_reviews":{"type":"number","nullable":true},"private_reviews":{"type":"number","nullable":true},"private_reviews_reply_displaying":{"type":"number","nullable":true},"private_reviews_period":{"type":"number","nullable":true},"booking_reminder_hours":{"type":"number","nullable":true},"disable_3263":{"type":"number","nullable":true},"new_booking_widget":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"enable_cache":{"type":"number","nullable":true},"privatisation_emails":{"type":"string","nullable":true},"contact_emails":{"type":"string","nullable":true},"review_emails":{"type":"string","nullable":true},"tracking_app_id":{"type":"string","nullable":true},"calldesk_phone":{"type":"string","nullable":true},"optin":{"type":"string","nullable":true},"has_pin":{"type":"boolean","nullable":true},"pin":{"type":"string","nullable":true},"pin_required_from":{"type":"number","nullable":true},"has_room_map":{"type":"number","nullable":true},"has_prepayment":{"type":"number","nullable":true},"has_precharge":{"type":"number","nullable":true},"has_group_search":{"type":"number","nullable":true},"has_automatic_status":{"type":"number","nullable":true},"has_room_selection_on_widget":{"type":"boolean","nullable":true},"is_room_selection_mandatory":{"type":"boolean","nullable":true},"test":{"type":"number","nullable":true},"review_reminder":{"type":"number","nullable":true},"is_white_label":{"type":"number","nullable":true},"close_commands":{"type":"number","nullable":true},"open_commands":{"type":"number","nullable":true},"commands_auto_conf":{"type":"number","nullable":true},"rooms":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantRoomEmbeddable"}},"tables":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTableEmbeddable"}},"legalNotice":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantLegalNoticeEmbeddable"}]},"display_name":{"type":"string","nullable":true},"valid_gtc":{"type":"boolean","nullable":true},"current_gtc":{"type":"string","nullable":true},"has_virtual_menu":{"type":"boolean","nullable":true},"has_active_prepayment_connection":{"type":"boolean","nullable":true},"has_active_imprint_connection":{"type":"boolean","nullable":true},"has_active_payment_connection":{"type":"boolean","nullable":true},"is_payment_connection_required":{"type":"boolean","nullable":true},"is_prepayment_connection_required":{"type":"boolean","nullable":true},"is_imprint_connection_required":{"type":"boolean","nullable":true},"is_stripe_connection_required":{"type":"boolean","nullable":true},"has_connected_vouchers":{"type":"boolean","nullable":true},"country_iso2":{"type":"string","nullable":true},"booking_widget":{"type":"string"},"command_widget":{"type":"string"},"menu_widget":{"type":"string"},"currency":{"type":"string"},"logo_url":{"type":"string","nullable":true},"menus":{"type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantMenuEmbeddable"}}},"required":["state","tracking_phone","accounting","reservation_auto_conf_max","ereputation","ereputation_activation_code","completion","to_be_deleted_at","deleted_at","date_start_contract_updated_at","date_end_free_trial","amount_method","twilio_phone","newsletter_counters_calculated_at","socials","module_html","module_video","module_virtual_tour","custom_link","custom_button","facebook_app","custom_web_setting","custom_web_stylesheet","country","tag_params","suggested_restaurants","voucher_param","restaurant_payment_param","restaurant_payment_providers","certifications","command_comment","comment","charge_param","backoffice_param","cancelation_param","waiters","groups","price_plan","stock_table_param","acl_packs","restaurant_params","user_acls","seatingPlanParams","bookingParams","commandParams","restaurant_prepayment_param","restaurant_imprint_param","acls","publishers","reviewDistributions","descriptions","photos","id","owner_id","name","address","address_2","zip","city","type","longitude","latitude","timezone","lang","capacity","avg_budget","website","facebook","twitter","instagram","google_plus","tripadvisor","moving","phone","phone_2","fax","email","first_name","last_name","reservation_email","reservation_phone","reservation_phone_sms","charge_emails","reconfirmation_emails","prepay_emails","command_emails","sms_oadc","reservation","reservation_notifications","delivery","actived_phone_tracking","metro","train","velo","autolib","parking","bus","delivery_url","reservation_url","wap_vhost","subdomain","web_vhost","web_subdomain","www_redirect","page_title","own_website","analytics","tag_manager","facebook_pixel_id","theme","button_theme","color","business_type","is_client","is_ambassador","has_been_client","client_type","price_plan_id","recovery_at","is_recovery","closed","sms_credits","reservation_auto_conf","auto_modified","booking_widget_time_interval","is_blocking_waiting","custom_web_setting_id","sf_opportunity_id","sf_account_id","cbee_account_id","z_account_id","invokit_id","company_id","parent_id","country_id","google_rating","ereputation_id","ereputation_url","date_start_contract","nb_reservation_total","revenue_total","slug","mail_reviews","private_reviews","private_reviews_reply_displaying","private_reviews_period","booking_reminder_hours","disable_3263","new_booking_widget","created_at","updated_at","enable_cache","privatisation_emails","contact_emails","review_emails","tracking_app_id","calldesk_phone","optin","has_pin","pin","pin_required_from","has_room_map","has_prepayment","has_precharge","has_group_search","has_automatic_status","has_room_selection_on_widget","is_room_selection_mandatory","test","review_reminder","is_white_label","close_commands","open_commands","commands_auto_conf","rooms","tables","legalNotice","display_name","valid_gtc","current_gtc","has_virtual_menu","has_active_prepayment_connection","has_active_imprint_connection","has_active_payment_connection","is_payment_connection_required","is_prepayment_connection_required","is_imprint_connection_required","is_stripe_connection_required","has_connected_vouchers","country_iso2","booking_widget","command_widget","menu_widget","currency","logo_url","menus"]},"ZenchefRestaurantCountryEmbeddable":{"type":"object","properties":{"oadc":{"nullable":true,"description":"Raw provider oadc payload; its shape is not specified by the provider contract.","anyOf":[{}]},"taxes":{"nullable":true,"description":"Tax definitions reported for the restaurant country.","type":"array","items":{"$ref":"#/components/schemas/ZenchefRestaurantTaxEmbeddable"}},"id":{"type":"number","nullable":true},"iso":{"type":"string","nullable":true},"iso3":{"type":"string","nullable":true},"default_lang":{"type":"string","nullable":true},"available_locales":{"nullable":true,"type":"array","items":{"type":"string"}},"title":{"type":"string","nullable":true},"en":{"type":"string","nullable":true},"fr":{"type":"string","nullable":true},"es":{"type":"string","nullable":true},"pt":{"type":"string","nullable":true},"de":{"type":"string","nullable":true},"it":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"active":{"type":"number","nullable":true},"currency":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"vat":{"type":"string","nullable":true},"locale":{"type":"string","nullable":true},"timezone":{"type":"string","nullable":true},"phone_support":{"type":"string","nullable":true}},"required":["oadc","taxes","id","iso","iso3","default_lang","available_locales","title","en","fr","es","pt","de","it","code","active","currency","created_at","updated_at","vat","locale","timezone","phone_support"]},"ZenchefRestaurantTaxEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"country_id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"value":{"type":"number","nullable":true}},"required":["id","country_id","name","value"]},"ZenchefRestaurantRoomEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name_translations":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantNameTranslationsEmbeddable"}]},"capacity":{"type":"number","nullable":true},"description":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"width":{"type":"number","nullable":true},"height":{"type":"number","nullable":true},"position":{"type":"number","nullable":true},"has_sea":{"type":"number","nullable":true},"has_sand":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["id","name_translations","capacity","description","restaurant_id","width","height","position","has_sea","has_sand","created_at","updated_at"]},"ZenchefRestaurantNameTranslationsEmbeddable":{"type":"object","properties":{"en":{"type":"string","nullable":true}},"required":["en"]},"ZenchefRestaurantLegalNoticeEmbeddable":{"type":"object","properties":{"capital":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"company_type":{"type":"string","nullable":true},"contact_email":{"type":"string","nullable":true},"contact_phone":{"type":"string","nullable":true},"country_code":{"type":"string","nullable":true},"director_name":{"type":"string","nullable":true},"director_title":{"type":"string","nullable":true},"dpo_email":{"type":"string","nullable":true},"dpo_name":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"headquarters":{"type":"string","nullable":true},"host":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"mediator_contact":{"type":"string","nullable":true},"rcs":{"type":"string","nullable":true},"registration_city":{"type":"string","nullable":true},"siret":{"type":"string","nullable":true},"tva":{"type":"string","nullable":true},"restaurant_id":{"type":"number"},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["capital","company","company_type","contact_email","contact_phone","country_code","director_name","director_title","dpo_email","dpo_name","firstname","headquarters","host","lastname","mediator_contact","rcs","registration_city","siret","tva","restaurant_id","created_at","updated_at"]},"ZenchefRestaurantMenuEmbeddable":{"type":"object","properties":{"articles":{"type":"array","description":"Raw provider articles payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"language":{"description":"Raw provider language payload; its shape is not specified by the provider contract.","anyOf":[{}]},"menu_categories":{"type":"array","description":"Raw provider menu categories payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"menu_periods":{"type":"array","description":"Raw provider menu periods payload; its shape is not specified by the provider contract.","items":{"anyOf":[{}]}},"name":{"type":"string"},"description":{"type":"string"},"note":{"type":"string"},"id":{"type":"number"},"language_id":{"type":"number"},"position":{"type":"number"},"position_old":{"type":"number"},"price":{"type":"number"},"is_active":{"type":"boolean"},"is_click_collect":{"type":"boolean"},"is_permanently_salable":{"type":"boolean"},"is_permanently_visible":{"type":"boolean"},"is_published":{"type":"boolean"}},"required":["articles","language","menu_categories","menu_periods","name","description","note","id","language_id","position","position_old","price","is_active","is_click_collect","is_permanently_salable","is_permanently_visible","is_published"]},"ZenchefCustomerMarketingParamEmbeddable":{"type":"object","properties":{"has_review":{"type":"boolean","nullable":true}},"required":["has_review"]},"ZenchefCustomerOptinEmbeddable":{"type":"object","properties":{"type":{"description":"Communication channel and purpose covered by this opt-in, when available.","nullable":true,"allOf":[{"$ref":"#/components/schemas/ZenchefCustomerOptinType"}]},"id":{"type":"number","nullable":true},"customer_sheet_id":{"type":"number"},"value":{"type":"boolean","nullable":true},"is_last":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true}},"required":["type","id","customer_sheet_id","value","is_last","created_at"]},"ZenchefCustomerOptinType":{"type":"string","enum":["market_sms","market_mail","review_sms","review_mail"],"description":"Communication channel and purpose covered by this opt-in, when available."},"ZenchefCustomerBookingOfferEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"count":{"type":"number","nullable":true},"offer_id":{"type":"number","nullable":true},"booking_id":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"offer_data":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerBookingOfferDataEmbeddable"}]}},"required":["id","count","offer_id","booking_id","created_at","updated_at","offer_data"]},"ZenchefCustomerBookingOfferDataEmbeddable":{"type":"object","properties":{"turn_times":{"nullable":true,"anyOf":[{}]},"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"position":{"type":"number","nullable":true},"date_from":{"type":"string","nullable":true},"date_to":{"type":"string","nullable":true},"is_active":{"type":"boolean","nullable":true},"is_private":{"type":"boolean","nullable":true},"is_highlighted":{"type":"boolean","nullable":true},"is_on_first_step":{"type":"boolean","nullable":true},"is_squeezed":{"type":"boolean","nullable":true},"has_duration":{"type":"boolean","nullable":true},"has_prepayment":{"type":"boolean","nullable":true},"is_cancelable_auto":{"type":"boolean","nullable":true},"charge_per_guests":{"type":"number","nullable":true},"refund_strategy":{"type":"string","nullable":true},"restaurant_id":{"type":"number","nullable":true},"restaurant":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ZenchefRestaurantEmbeddable"}]},"description":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"name_translations":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"mon":{"type":"boolean","nullable":true},"tue":{"type":"boolean","nullable":true},"wed":{"type":"boolean","nullable":true},"thu":{"type":"boolean","nullable":true},"fri":{"type":"boolean","nullable":true},"sat":{"type":"boolean","nullable":true},"sun":{"type":"boolean","nullable":true},"bookable_from_interval":{"type":"number","nullable":true},"bookable_from_reference":{"type":"string","nullable":true},"bookable_to_interval":{"type":"number","nullable":true},"bookable_to_reference":{"type":"string","nullable":true},"auto_cancelable_after":{"type":"number","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"deleted_at":{"type":"string","nullable":true}},"required":["turn_times","id","name","type","position","date_from","date_to","is_active","is_private","is_highlighted","is_on_first_step","is_squeezed","has_duration","has_prepayment","is_cancelable_auto","charge_per_guests","refund_strategy","restaurant_id","restaurant","description","name_translations","mon","tue","wed","thu","fri","sat","sun","bookable_from_interval","bookable_from_reference","bookable_to_interval","bookable_to_reference","auto_cancelable_after","created_at","updated_at","deleted_at"]},"ZenchefCustomerBookingChargeEmbeddable":{"type":"object","properties":{"amount":{"type":"number","nullable":true},"amount_refunded":{"type":"number","nullable":true},"booking_id":{"type":"number","nullable":true},"currency":{"type":"string","nullable":true},"customer_id":{"type":"string","nullable":true},"partner_id":{"type":"string","nullable":true},"pending_refund_amount":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"setup_intent_id":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"stripe_client_secret":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"batch_id":{"type":"string","nullable":true},"capture_date":{"type":"string","nullable":true},"charge_id":{"type":"string","nullable":true},"fee":{"type":"number","nullable":true},"fee_gateway":{"type":"number","nullable":true},"fee_ratio":{"type":"number","nullable":true},"fee_zenchef":{"type":"number","nullable":true},"payment_id":{"type":"string","nullable":true},"payout_id":{"type":"string","nullable":true},"quotation_id":{"type":"string","nullable":true},"token":{"type":"string","nullable":true},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true}},"required":["amount","amount_refunded","booking_id","currency","customer_id","partner_id","pending_refund_amount","restaurant_id","setup_intent_id","status","stripe_client_secret","type","batch_id","capture_date","charge_id","fee","fee_gateway","fee_ratio","fee_zenchef","payment_id","payout_id","quotation_id","token","created_at","updated_at"]},"ZenchefCustomerBookingPolicyEmbeddable":{"type":"object","properties":{"enduser_cancelable_before":{"type":"number","nullable":true},"refund_strategy":{"type":"string","nullable":true}},"required":["enduser_cancelable_before","refund_strategy"]},"ZenchefCustomerBookingWaiterEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"ZenchefCustomerBookingWishEmbeddable":{"type":"object","properties":{"booking_id":{"type":"number","nullable":true},"booking_room_id":{"type":"number","nullable":true}},"required":["booking_id","booking_room_id"]},"JuxtaCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"center_id":{"type":"string","nullable":true},"center_name":{"type":"string","nullable":true},"practitioner_fullname":{"type":"string","nullable":true},"patient_fullname":{"type":"string","nullable":true},"patient_firstname":{"type":"string","nullable":true},"patient_lastname":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"date":{"type":"string","nullable":true}},"required":["id","center_id","center_name","practitioner_fullname","patient_fullname","patient_firstname","patient_lastname","phone_number","email","date"]},"SalesforceCustomerMetadatasEmbeddable":{"type":"object","properties":{"dentego":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DentegoSalesforceCustomerMetadatasEmbeddable"}]}},"required":["dentego"]},"DentegoSalesforceCustomerMetadatasEmbeddable":{"type":"object","properties":{"attributes":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/DentegoSalesforceCustomerAttributesEmbeddable"}]},"Id":{"type":"string","nullable":true},"WhoId":{"type":"string","nullable":true},"WhatId":{"type":"string","nullable":true},"WhoCount":{"type":"number","nullable":true},"WhatCount":{"type":"number","nullable":true},"Subject":{"type":"string","nullable":true},"Location":{"type":"string","nullable":true},"Centre_du_RDV__c":{"type":"string","nullable":true},"IsAllDayEvent":{"type":"boolean","nullable":true},"ActivityDateTime":{"type":"string","nullable":true},"ActivityDate":{"type":"string","nullable":true},"DurationInMinutes":{"type":"number","nullable":true},"StartDateTime":{"type":"string","nullable":true},"EndDateTime":{"type":"string","nullable":true},"EndDate":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"AccountId":{"type":"string","nullable":true},"OwnerId":{"type":"string","nullable":true},"Type":{"type":"string","nullable":true},"IsPrivate":{"type":"boolean","nullable":true},"ShowAs":{"type":"string","nullable":true},"IsDeleted":{"type":"boolean","nullable":true},"IsChild":{"type":"boolean","nullable":true},"IsGroupEvent":{"type":"boolean","nullable":true},"GroupEventType":{"type":"string","nullable":true},"CreatedDate":{"type":"string","nullable":true},"CreatedById":{"type":"string","nullable":true},"LastModifiedDate":{"type":"string","nullable":true},"LastModifiedById":{"type":"string","nullable":true},"SystemModstamp":{"type":"string","nullable":true},"IsArchived":{"type":"boolean","nullable":true},"RecurrenceActivityId":{"type":"string","nullable":true},"IsRecurrence":{"type":"boolean","nullable":true},"RecurrenceStartDateTime":{"type":"string","nullable":true},"RecurrenceEndDateOnly":{"type":"string","nullable":true},"RecurrenceTimeZoneSidKey":{"type":"string","nullable":true},"RecurrenceType":{"type":"string","nullable":true},"RecurrenceInterval":{"type":"string","nullable":true},"RecurrenceDayOfWeekMask":{"type":"string","nullable":true},"RecurrenceDayOfMonth":{"type":"string","nullable":true},"RecurrenceInstance":{"type":"string","nullable":true},"RecurrenceMonthOfYear":{"type":"string","nullable":true},"ReminderDateTime":{"type":"string","nullable":true},"IsReminderSet":{"type":"boolean","nullable":true},"EventSubtype":{"type":"string","nullable":true},"IsRecurrence2Exclusion":{"type":"boolean","nullable":true},"Recurrence2PatternText":{"type":"string","nullable":true},"Recurrence2PatternVersion":{"type":"string","nullable":true},"IsRecurrence2":{"type":"boolean","nullable":true},"IsRecurrence2Exception":{"type":"boolean","nullable":true},"Recurrence2PatternStartDate":{"type":"string","nullable":true},"Recurrence2PatternTimeZone":{"type":"string","nullable":true},"EXTERNAL_ID__c":{"type":"string","nullable":true},"Type_de_RDV__c":{"type":"string","nullable":true},"EnddatepourProcessbuilder__c":{"type":"string","nullable":true},"Statut__c":{"type":"string","nullable":true},"Pas_de_R_ponse__c":{"type":"boolean","nullable":true},"Motif_du_RDV__c":{"type":"string","nullable":true},"Pas_int_ress__c":{"type":"boolean","nullable":true},"Recontacter_ce_soir__c":{"type":"boolean","nullable":true},"Commentaire_support_Th_o__c":{"type":"string","nullable":true},"X1er_contact_par_SMS__c":{"type":"boolean","nullable":true},"Nombre_de_RDV_non_honor__c":{"type":"number","nullable":true},"Action_r_alis_e__c":{"type":"string","nullable":true},"Commentaire_li_l_action_r_alis_e__c":{"type":"string","nullable":true},"Recontacter_le__c":{"type":"string","nullable":true},"KO__c":{"type":"boolean","nullable":true},"Date_du_RDV__c":{"type":"string","nullable":true},"Commentaire_li_e_la_t_che__c":{"type":"string","nullable":true},"RDV_plant__c":{"type":"number","nullable":true},"Is_RDV__c":{"type":"number","nullable":true},"Logiciel_met__c":{"type":"string","nullable":true},"Date_d_annulation_du_RDV__c":{"type":"string","nullable":true},"RDV_ADMIN__c":{"type":"number","nullable":true},"DateFlow__c":{"type":"string","nullable":true},"Mail__c":{"type":"string","nullable":true},"Mobile__c":{"type":"string","nullable":true},"isFinished__c":{"type":"boolean","nullable":true},"techSentToHelloCustomer__c":{"type":"boolean","nullable":true},"P_rim_tre_r_gional__c":{"type":"string","nullable":true},"Etat_de_confirmation__c":{"type":"string","nullable":true},"Traite_dans_Doctolib__c":{"type":"boolean","nullable":true},"Date_d_envoi_de_la_confirmation__c":{"type":"string","nullable":true},"Date_de_r_ponse__c":{"type":"string","nullable":true},"Type_de_demande__c":{"type":"string","nullable":true},"Aujourd_hui__c":{"type":"string","nullable":true},"Voyant__c":{"type":"string","nullable":true},"Event_date_1er_RDV__c":{"type":"string","nullable":true},"RDV_NP__c":{"type":"boolean","nullable":true},"Date_de_prise_du_RDV__c":{"type":"string","nullable":true},"Account_Centre_HelloCustomer__c":{"type":"boolean","nullable":true},"Adresse_Gmail__c":{"type":"number","nullable":true},"Centre_t_che__c":{"type":"string","nullable":true},"Confirmation_de_RDV__c":{"type":"boolean","nullable":true},"DB_Activity_Type__c":{"type":"string","nullable":true},"Declencheur_Hello_Customer__c":{"type":"boolean","nullable":true},"Delai_de_reponse__c":{"type":"string","nullable":true},"Finess__c":{"type":"number","nullable":true},"Gmail_Port__c":{"type":"number","nullable":true},"Jour_de_la_semaine__c":{"type":"string","nullable":true},"Magnetis_NP__c":{"type":"boolean","nullable":true},"Nombre_de_t_ches_effectu_es__c":{"type":"number","nullable":true},"P_rim_tre_reg__c":{"type":"string","nullable":true},"RDV_Date_h_remont_e__c":{"type":"string","nullable":true},"Rendez_vous_avec__c":{"type":"string","nullable":true},"Test_Inline_Editing__c":{"type":"boolean","nullable":true},"Campagne_Magnetis__c":{"type":"string","nullable":true},"Centre_Magnetis__c":{"type":"string","nullable":true},"Date_du_call_Magnetis__c":{"type":"string","nullable":true},"Date_rapport__c":{"type":"string","nullable":true},"Motif_de_RDV_V2__c":{"type":"string","nullable":true},"Motif_de_RDV_V3__c":{"type":"string","nullable":true},"RDV_Date_h_reprise__c":{"type":"string","nullable":true},"TEST_Date_d_envoi_de_la_confirmation__c":{"type":"string","nullable":true},"Team_Challenge__c":{"type":"string","nullable":true},"Type_de_RDV_2__c":{"type":"string","nullable":true},"pour_MAJ__c":{"type":"string","nullable":true},"pour_tx_plantage__c":{"type":"string","nullable":true}},"required":["attributes","Id","WhoId","WhatId","WhoCount","WhatCount","Subject","Location","Centre_du_RDV__c","IsAllDayEvent","ActivityDateTime","ActivityDate","DurationInMinutes","StartDateTime","EndDateTime","EndDate","Description","AccountId","OwnerId","Type","IsPrivate","ShowAs","IsDeleted","IsChild","IsGroupEvent","GroupEventType","CreatedDate","CreatedById","LastModifiedDate","LastModifiedById","SystemModstamp","IsArchived","RecurrenceActivityId","IsRecurrence","RecurrenceStartDateTime","RecurrenceEndDateOnly","RecurrenceTimeZoneSidKey","RecurrenceType","RecurrenceInterval","RecurrenceDayOfWeekMask","RecurrenceDayOfMonth","RecurrenceInstance","RecurrenceMonthOfYear","ReminderDateTime","IsReminderSet","EventSubtype","IsRecurrence2Exclusion","Recurrence2PatternText","Recurrence2PatternVersion","IsRecurrence2","IsRecurrence2Exception","Recurrence2PatternStartDate","Recurrence2PatternTimeZone","EXTERNAL_ID__c","Type_de_RDV__c","EnddatepourProcessbuilder__c","Statut__c","Pas_de_R_ponse__c","Motif_du_RDV__c","Pas_int_ress__c","Recontacter_ce_soir__c","Commentaire_support_Th_o__c","X1er_contact_par_SMS__c","Nombre_de_RDV_non_honor__c","Action_r_alis_e__c","Commentaire_li_l_action_r_alis_e__c","Recontacter_le__c","KO__c","Date_du_RDV__c","Commentaire_li_e_la_t_che__c","RDV_plant__c","Is_RDV__c","Logiciel_met__c","Date_d_annulation_du_RDV__c","RDV_ADMIN__c","DateFlow__c","Mail__c","Mobile__c","isFinished__c","techSentToHelloCustomer__c","P_rim_tre_r_gional__c","Etat_de_confirmation__c","Traite_dans_Doctolib__c","Date_d_envoi_de_la_confirmation__c","Date_de_r_ponse__c","Type_de_demande__c","Aujourd_hui__c","Voyant__c","Event_date_1er_RDV__c","RDV_NP__c","Date_de_prise_du_RDV__c","Account_Centre_HelloCustomer__c","Adresse_Gmail__c","Centre_t_che__c","Confirmation_de_RDV__c","DB_Activity_Type__c","Declencheur_Hello_Customer__c","Delai_de_reponse__c","Finess__c","Gmail_Port__c","Jour_de_la_semaine__c","Magnetis_NP__c","Nombre_de_t_ches_effectu_es__c","P_rim_tre_reg__c","RDV_Date_h_remont_e__c","Rendez_vous_avec__c","Test_Inline_Editing__c","Campagne_Magnetis__c","Centre_Magnetis__c","Date_du_call_Magnetis__c","Date_rapport__c","Motif_de_RDV_V2__c","Motif_de_RDV_V3__c","RDV_Date_h_reprise__c","TEST_Date_d_envoi_de_la_confirmation__c","Team_Challenge__c","Type_de_RDV_2__c","pour_MAJ__c","pour_tx_plantage__c"]},"DentegoSalesforceCustomerAttributesEmbeddable":{"type":"object","properties":{"type":{"type":"string","nullable":true},"url":{"type":"string","nullable":true}},"required":["type","url"]},"DeliverooCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"frequency":{"type":"number","nullable":true}},"required":["id","frequency"]},"TripAdvisorCustomerMetadatasEmbeddable":{"type":"object","properties":{"helpfulVotes":{"type":"number"},"contributionCount":{"type":"number"},"homeTown":{"type":"string","nullable":true},"avatarUrl":{"type":"string","nullable":true},"username":{"type":"string","nullable":true}},"required":["helpfulVotes","contributionCount","homeTown","avatarUrl","username"]},"BookingCustomerMetadatasEmbeddable":{"type":"object","properties":{"ufi":{"nullable":true,"anyOf":[{}]},"name":{"type":"string","nullable":true},"yourname":{"type":"string","nullable":true},"processedBy":{"type":"string","nullable":true},"hotelServicesFormatted":{"type":"string","nullable":true},"hotelComfort":{"type":"number","nullable":true},"hotelNegative":{"type":"string","nullable":true},"preferred":{"type":"number","nullable":true},"pagename":{"type":"string","nullable":true},"translateButtonStatus":{"type":"string","nullable":true},"processingDate":{"type":"string","nullable":true},"hotelClean":{"type":"number","nullable":true},"id":{"type":"number","nullable":true},"hotelValueFormatted":{"type":"string","nullable":true},"hotelId":{"type":"number","nullable":true},"hotelCity":{"type":"string","nullable":true},"reply":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/BookingFeedbackReplyMetadatasEmbeddable"}]},"hotelLocationFormatted":{"type":"string","nullable":true},"hotelNegativeTrivial":{"type":"number","nullable":true},"language":{"type":"string","nullable":true},"hotelComfortFormatted":{"type":"string","nullable":true},"hotelStaffFormatted":{"type":"string","nullable":true},"cc1":{"type":"string","nullable":true},"additionalRatings":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/BookingFeedbackAdditionalRatingMetadatasEmbeddable"}},"canReply":{"type":"string","nullable":true},"hotelAverageFormatted":{"type":"string","nullable":true},"hotelLocation":{"type":"number","nullable":true},"anonymous":{"type":"number","nullable":true},"isNew":{"type":"number","nullable":true},"class":{"type":"number","nullable":true},"experimentalAdditionalRatings":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/BookingFeedbackAdditionalRatingMetadatasEmbeddable"}},"title":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"suppressedComment":{"type":"string","nullable":true},"approvalStatus":{"type":"number","nullable":true},"hotelStaff":{"type":"number","nullable":true},"suppressed":{"type":"number","nullable":true},"hotelPositive":{"type":"string","nullable":true},"hotelServices":{"type":"number","nullable":true},"hotelPositiveTrivial":{"type":"number","nullable":true},"approved":{"type":"string","nullable":true},"titleTrivial":{"type":"number","nullable":true},"stayStatus":{"type":"string","nullable":true},"booknumber":{"type":"number","nullable":true},"completed":{"type":"string","nullable":true},"hotelValue":{"type":"number","nullable":true},"hotelCleanFormatted":{"type":"string","nullable":true},"hotelAverage":{"type":"number","nullable":true}},"required":["ufi","name","yourname","processedBy","hotelServicesFormatted","hotelComfort","hotelNegative","preferred","pagename","translateButtonStatus","processingDate","hotelClean","id","hotelValueFormatted","hotelId","hotelCity","reply","hotelLocationFormatted","hotelNegativeTrivial","language","hotelComfortFormatted","hotelStaffFormatted","cc1","additionalRatings","canReply","hotelAverageFormatted","hotelLocation","anonymous","isNew","class","experimentalAdditionalRatings","title","country","suppressedComment","approvalStatus","hotelStaff","suppressed","hotelPositive","hotelServices","hotelPositiveTrivial","approved","titleTrivial","stayStatus","booknumber","completed","hotelValue","hotelCleanFormatted","hotelAverage"]},"BookingFeedbackReplyMetadatasEmbeddable":{"type":"object","properties":{"hotelierResponse":{"type":"string","nullable":true},"approved":{"type":"number","nullable":true},"created":{"type":"string","nullable":true}},"required":["hotelierResponse","approved","created"]},"BookingFeedbackAdditionalRatingMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"score":{"type":"number","nullable":true},"scoreOutOf10":{"type":"number","nullable":true},"scoreOutOf10Formatted":{"type":"string","nullable":true}},"required":["name","score","scoreOutOf10","scoreOutOf10Formatted"]},"UbereatsCustomerMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"profileURL":{"type":"string","nullable":true},"uuid":{"type":"string","nullable":true},"isEatsPassSubscriber":{"type":"boolean","nullable":true},"numOrders":{"type":"number","nullable":true}},"required":["name","profileURL","uuid","isEatsPassSubscriber","numOrders"]},"SevenroomsCustomerMetadatasEmbeddable":{"type":"object","properties":{"deleted":{"description":"Provider deletion marker, represented as a boolean or a legacy string.","anyOf":[{"type":"boolean","nullable":true},{"type":"string"}]},"problems":{"type":"object","additionalProperties":{"type":"object","properties":{"problem_name":{"type":"string","nullable":true},"is_major":{"type":"boolean","nullable":true}},"required":["problem_name","is_major"]},"nullable":true},"paylink_auto_cancel":{"nullable":true,"description":"Hosted request snapshot; not current proof of payment or link validity.","type":"object","allOf":[{"$ref":"#/components/schemas/SevenroomsPaylinkEmbeddable"}]},"id":{"type":"string","nullable":true},"venue_id":{"type":"string","nullable":true},"venue_group_id":{"type":"string","nullable":true},"venue_group_client_id":{"type":"string","nullable":true},"client_id":{"type":"string","nullable":true},"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"source_client_id":{"type":"string","nullable":true},"external_user_id":{"type":"string","nullable":true},"external_id":{"type":"string","nullable":true},"external_reference_code":{"type":"string","nullable":true},"external_client_id":{"type":"string","nullable":true},"user":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/UserEmbeddable"}]},"tags":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/TagEmbeddable"}},"phone_number":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"pos_tickets":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/PosTicketEmbeddable"}},"reference_code":{"type":"string","nullable":true},"client_reference_code":{"type":"string","nullable":true},"time_slot_iso":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"status_display":{"type":"string","nullable":true},"status_simple":{"type":"string","nullable":true},"rating":{"type":"number","nullable":true},"table_numbers":{"nullable":true,"type":"array","items":{"type":"string"}},"venue_seating_area_name":{"type":"string","nullable":true},"venue_seating_area_id":{"type":"string","nullable":true},"max_guests":{"type":"number","nullable":true},"is_vip":{"type":"boolean","nullable":true},"booked_by":{"type":"string","nullable":true},"date":{"type":"string","nullable":true},"real_datetime_of_slot":{"type":"string","nullable":true},"notes":{"type":"string","nullable":true},"client_requests":{"type":"string","nullable":true},"arrival_time":{"type":"string","nullable":true},"duration":{"type":"number","nullable":true},"using_default_duration":{"type":"boolean","nullable":true},"send_reminder_email":{"type":"boolean","nullable":true},"updated":{"type":"string","nullable":true},"check_numbers":{"type":"string","nullable":true},"shift_persistent_id":{"type":"string","nullable":true},"left_time":{"type":"string","nullable":true},"postal_code":{"type":"string","nullable":true},"comps_price_type":{"type":"string","nullable":true},"modify_reservation_link":{"type":"string","nullable":true},"reservation_type":{"type":"string","nullable":true},"seated_time":{"type":"string","nullable":true},"reservation_sms_opt_in":{"type":"boolean","nullable":true},"arrived_guests":{"type":"number","nullable":true},"state":{"type":"string","nullable":true},"send_reminder_sms":{"type":"boolean","nullable":true},"address_2":{"type":"string","nullable":true},"min_price":{"type":"number","nullable":true},"custom_fields":{"type":"array","items":{"$ref":"#/components/schemas/SevenroomsCustomFieldEmbeddable"}},"policy":{"type":"string","nullable":true},"served_by":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"loyalty_id":{"type":"string","nullable":true},"mf_ratio_male":{"type":"number","nullable":true},"mf_ratio_female":{"type":"number","nullable":true},"comps":{"type":"number","nullable":true},"loyalty_rank":{"type":"number","nullable":true},"paid_by":{"type":"string","nullable":true},"loyalty_tier":{"type":"string","nullable":true},"shift_category":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"cost_option":{"type":"number","nullable":true},"created":{"type":"string","nullable":true},"access_persistent_id":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"auto_assignments":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/SevenroomsAutoAssignmentEmbeddable"}]},"total_payment":{"type":"number","nullable":true},"prepayment":{"type":"number","nullable":true},"prepayment_total":{"type":"number","nullable":true},"prepayment_net":{"type":"number","nullable":true},"prepayment_service_charge":{"type":"number","nullable":true},"prepayment_tax":{"type":"number","nullable":true},"prepayment_gratuity":{"type":"number","nullable":true},"onsite_payment":{"type":"number","nullable":true},"onsite_payment_net":{"type":"number","nullable":true},"onsite_payment_tax":{"type":"number","nullable":true},"onsite_payment_gratuity":{"type":"number","nullable":true},"onsite_payment_total":{"type":"number","nullable":true},"total_net_payment":{"type":"number","nullable":true},"total_gross_payment":{"type":"number","nullable":true},"upgrades":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/SevenroomsUpgradeEmbeddable"}},"cancellation_policy":{"type":"string","nullable":true},"current_refund_amount":{"type":"number","nullable":true},"manage_reservation_link":{"type":"string","nullable":true},"tailored_communication_opt_in":{"type":"boolean","nullable":true},"event":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/SevenroomsReservationEventEmbeddable"}]},"hotel_block_code":{"type":"string","nullable":true},"hotel_check_in_date":{"type":"string","nullable":true},"hotel_check_out_date":{"type":"string","nullable":true},"hotel_confirmation":{"type":"string","nullable":true},"hotel_id":{"type":"string","nullable":true},"hotel_no_post":{"type":"boolean","nullable":true},"hotel_rate_code":{"type":"string","nullable":true},"hotel_room":{"type":"string","nullable":true},"access_rule":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/SevenroomsAccessRuleEmbeddable"}]},"charges":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/SevenroomsReservationChargeEmbeddable"}},"price_breakdown":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/SevenroomsPriceBreakdownEmbeddable"}]},"cancel_cutoff_hour":{"type":"string","nullable":true},"cancel_cutoff_num":{"type":"number","nullable":true},"cancel_cutoff_type":{"type":"string","nullable":true},"cancellation_fee":{"type":"number","nullable":true},"refund_cutoff_at":{"type":"string","nullable":true},"is_walk_in":{"type":"boolean","nullable":true}},"required":["deleted","problems","id","venue_id","venue_group_id","venue_group_client_id","client_id","first_name","last_name","source_client_id","external_user_id","external_id","external_reference_code","external_client_id","user","tags","phone_number","email","pos_tickets","reference_code","client_reference_code","time_slot_iso","status","status_display","status_simple","rating","table_numbers","venue_seating_area_name","venue_seating_area_id","max_guests","is_vip","booked_by","date","real_datetime_of_slot","notes","client_requests","arrival_time","duration","using_default_duration","send_reminder_email","updated","check_numbers","shift_persistent_id","left_time","postal_code","comps_price_type","modify_reservation_link","reservation_type","seated_time","reservation_sms_opt_in","arrived_guests","state","send_reminder_sms","address_2","min_price","custom_fields","policy","served_by","address","loyalty_id","mf_ratio_male","mf_ratio_female","comps","loyalty_rank","paid_by","loyalty_tier","shift_category","country","cost_option","created","access_persistent_id","city","auto_assignments","total_payment","prepayment","prepayment_total","prepayment_net","prepayment_service_charge","prepayment_tax","prepayment_gratuity","onsite_payment","onsite_payment_net","onsite_payment_tax","onsite_payment_gratuity","onsite_payment_total","total_net_payment","total_gross_payment","upgrades","cancellation_policy","current_refund_amount","manage_reservation_link","tailored_communication_opt_in","event","hotel_block_code","hotel_check_in_date","hotel_check_out_date","hotel_confirmation","hotel_id","hotel_no_post","hotel_rate_code","hotel_room","access_rule","charges","price_breakdown","cancel_cutoff_hour","cancel_cutoff_num","cancel_cutoff_type","cancellation_fee","refund_cutoff_at","is_walk_in"]},"SevenroomsPaylinkEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true,"description":"Provider link identity."},"link":{"type":"string","nullable":true,"description":"Private guest-facing hosted URL, excluded from general analysis."},"note_to_guest":{"type":"string","nullable":true,"description":"Message authored for the guest."},"gratuity_amount":{"type":"number","nullable":true,"description":"Gratuity in provider hundredths."},"paylink_auto_cancel_minutes":{"type":"number","nullable":true,"description":"Requested provider timeout, not evidence of cancellation."},"service_charge_amount":{"type":"number","nullable":true,"description":"Service charge in provider hundredths."},"subtotal":{"type":"number","nullable":true,"description":"Subtotal in provider hundredths."},"tax_amount":{"type":"number","nullable":true,"description":"Tax in provider hundredths."},"gratuity_type":{"nullable":true,"description":"Provider gratuity policy.","enum":["gratuity_percentage","none","require_client_select_charge","client_select_gratuity"],"type":"string"},"type":{"nullable":true,"description":"Collecting a card is distinct from charging a prepayment.","enum":["charge","collect"],"type":"string"}}},"UserEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]},"TagEmbeddable":{"type":"object","properties":{"group":{"type":"string","nullable":true},"group_display":{"type":"string","nullable":true},"tag":{"type":"string","nullable":true},"tag_display":{"type":"string","nullable":true},"color":{"type":"string","nullable":true}},"required":["group","group_display","tag","tag_display","color"]},"PosTicketEmbeddable":{"type":"object","properties":{"_pos_type_version":{"type":"string","nullable":true},"source":{"type":"string","nullable":true},"tax":{"type":"number","nullable":true},"subtotal":{"type":"number","nullable":true},"service_charge":{"type":"number","nullable":true},"items":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ItemEmbeddable"}},"ticket_id":{"type":"string","nullable":true},"local_pos_ticket_id":{"type":"string","nullable":true},"employee_name":{"type":"string","nullable":true},"employee_id":{"type":"string","nullable":true},"total":{"type":"number","nullable":true},"status":{"type":"string","nullable":true},"table_no":{"type":"string","nullable":true},"start_time":{"type":"string","nullable":true},"end_time":{"type":"string","nullable":true},"admin_fee":{"type":"number","nullable":true},"booking_id":{"type":"string","nullable":true}},"required":["_pos_type_version","source","tax","subtotal","service_charge","items","ticket_id","local_pos_ticket_id","employee_name","employee_id","total","status","table_no","start_time","end_time","admin_fee","booking_id"]},"ItemEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"price":{"type":"number","nullable":true},"quantity":{"type":"number","nullable":true},"status":{"type":"string","nullable":true},"modifiers":{"nullable":true,"type":"array","items":{"type":"string"}},"notes":{"type":"string","nullable":true},"course":{"type":"string","nullable":true}},"required":["name","price","quantity","status","modifiers","notes","course"]},"SevenroomsCustomFieldEmbeddable":{"type":"object","properties":{"system_name":{"type":"string","nullable":true},"display_order":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"required":["system_name","display_order","name","value"]},"SevenroomsAutoAssignmentEmbeddable":{"type":"object","properties":{"table_codes":{"nullable":true,"type":"array","items":{"type":"string"}},"sort_order":{"type":"number","nullable":true},"name":{"type":"string","nullable":true},"table_ids":{"nullable":true,"type":"array","items":{"type":"string"}},"is_reassigned":{"type":"boolean","nullable":true}},"required":["table_codes","sort_order","name","table_ids","is_reassigned"]},"SevenroomsUpgradeEmbeddable":{"type":"object","properties":{"inventory_id":{"type":"string","nullable":true},"category_id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"quantity":{"type":"number","nullable":true},"price":{"type":"number","nullable":true},"pos_item_id":{"type":"string","nullable":true},"upgrade_id":{"type":"string","nullable":true},"category":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"gratuity_charge_type":{"type":"string","nullable":true},"preview_image_url":{"type":"string","nullable":true},"base_price":{"type":"number","nullable":true},"total_cost":{"type":"number","nullable":true},"subtotal":{"type":"number","nullable":true},"tax":{"type":"number","nullable":true},"tax_pct":{"type":"number","nullable":true},"gratuity":{"type":"number","nullable":true},"gratuity_pct":{"type":"number","nullable":true},"service_charge":{"type":"number","nullable":true},"service_charge_pct":{"type":"number","nullable":true},"minimum_quantity_required":{"type":"number","nullable":true},"maximum_quantity_allowed":{"type":"number","nullable":true},"total_upgrade_cost":{"type":"number","nullable":true},"upgrade_gratuity":{"type":"number","nullable":true},"upgrade_price":{"type":"number","nullable":true},"upgrade_service_charge":{"type":"number","nullable":true},"upgrade_service_charge_tax":{"type":"number","nullable":true},"upgrade_tax":{"type":"number","nullable":true},"tags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"nullable":true}},"required":["inventory_id","category_id","name","quantity","price","pos_item_id","upgrade_id","category","description","gratuity_charge_type","preview_image_url","base_price","total_cost","subtotal","tax","tax_pct","gratuity","gratuity_pct","service_charge","service_charge_pct","minimum_quantity_required","maximum_quantity_allowed","total_upgrade_cost","upgrade_gratuity","upgrade_price","upgrade_service_charge","upgrade_service_charge_tax","upgrade_tax","tags"]},"SevenroomsReservationEventEmbeddable":{"type":"object","properties":{"event_id":{"type":"string","nullable":true},"inventory_id":{"type":"string","nullable":true},"tickets_sold":{"type":"number","nullable":true},"tickets_total":{"type":"number","nullable":true}},"required":["event_id","inventory_id","tickets_sold","tickets_total"]},"SevenroomsAccessRuleEmbeddable":{"type":"object","properties":{"access_persistent_id":{"type":"string","nullable":true},"auto_charge_amount_type":{"type":"string","nullable":true},"auto_charge_deadline_at":{"type":"string","nullable":true},"cancel_deadline_at":{"type":"string","nullable":true},"cancellation_policy":{"type":"string","nullable":true},"cc_payment_rule":{"type":"string","nullable":true},"charge_type":{"type":"string","nullable":true},"payment_type":{"type":"string","nullable":true},"policy":{"type":"string","nullable":true},"public_description_title":{"type":"string","nullable":true},"public_long_form_description":{"type":"string","nullable":true},"public_photo":{"type":"string","nullable":true},"public_time_slot_description":{"type":"string","nullable":true},"shift_persistent_id":{"type":"string","nullable":true},"auto_charge_amount":{"type":"number","nullable":true},"auto_charge_amount_in_cents":{"type":"number","nullable":true},"auto_charge_final_amount":{"type":"number","nullable":true},"cc_party_size_min":{"type":"number","nullable":true},"cost":{"type":"number","nullable":true},"gratuity":{"type":"number","nullable":true},"service_charge":{"type":"number","nullable":true},"tax_rate":{"type":"number","nullable":true},"can_cancel_online":{"type":"boolean","nullable":true},"can_modify_online":{"type":"boolean","nullable":true},"require_credit_card":{"type":"boolean","nullable":true},"available_upsells":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/SevenroomsUpsellEmbeddable"}},"public_photo_sizes":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"upsell_categories":{"nullable":true,"type":"array","items":{"type":"string"}}},"required":["access_persistent_id","auto_charge_amount_type","auto_charge_deadline_at","cancel_deadline_at","cancellation_policy","cc_payment_rule","charge_type","payment_type","policy","public_description_title","public_long_form_description","public_photo","public_time_slot_description","shift_persistent_id","auto_charge_amount","auto_charge_amount_in_cents","auto_charge_final_amount","cc_party_size_min","cost","gratuity","service_charge","tax_rate","can_cancel_online","can_modify_online","require_credit_card","available_upsells","public_photo_sizes","upsell_categories"]},"SevenroomsUpsellEmbeddable":{"type":"object","properties":{"upgrade_id":{"type":"string","nullable":true},"category_id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"category":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"gratuity_charge_type":{"type":"string","nullable":true},"preview_image_url":{"type":"string","nullable":true},"inventory_id":{"type":"string","nullable":true},"pos_item_id":{"type":"string","nullable":true},"base_price":{"type":"number","nullable":true},"total_cost":{"type":"number","nullable":true},"subtotal":{"type":"number","nullable":true},"tax":{"type":"number","nullable":true},"tax_pct":{"type":"number","nullable":true},"gratuity":{"type":"number","nullable":true},"gratuity_pct":{"type":"number","nullable":true},"service_charge":{"type":"number","nullable":true},"service_charge_pct":{"type":"number","nullable":true},"minimum_quantity_required":{"type":"number","nullable":true},"maximum_quantity_allowed":{"type":"number","nullable":true},"quantity":{"type":"number","nullable":true},"price":{"type":"number","nullable":true},"total_upgrade_cost":{"type":"number","nullable":true},"upgrade_gratuity":{"type":"number","nullable":true},"upgrade_price":{"type":"number","nullable":true},"upgrade_service_charge":{"type":"number","nullable":true},"upgrade_service_charge_tax":{"type":"number","nullable":true},"upgrade_tax":{"type":"number","nullable":true},"tags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"nullable":true}},"required":["upgrade_id","category_id","name","category","description","gratuity_charge_type","preview_image_url","inventory_id","pos_item_id","base_price","total_cost","subtotal","tax","tax_pct","gratuity","gratuity_pct","service_charge","service_charge_pct","minimum_quantity_required","maximum_quantity_allowed","quantity","price","total_upgrade_cost","upgrade_gratuity","upgrade_price","upgrade_service_charge","upgrade_service_charge_tax","upgrade_tax","tags"]},"SevenroomsReservationChargeEmbeddable":{"type":"object","properties":{"booked_by_name":{"type":"string","nullable":true},"brand":{"type":"string","nullable":true},"charge_id":{"type":"string","nullable":true},"charged":{"type":"string","nullable":true},"charged_at":{"type":"string","nullable":true},"entity_date":{"type":"string","nullable":true},"failure_code":{"type":"string","nullable":true},"failure_message":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"last_4":{"type":"string","nullable":true},"notes":{"type":"string","nullable":true},"promo_code":{"type":"string","nullable":true},"reference_code":{"type":"string","nullable":true},"reservation_notes":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"transaction_id":{"type":"string","nullable":true},"transaction_type":{"type":"string","nullable":true},"venue_id":{"type":"string","nullable":true},"additional_fee":{"type":"number","nullable":true},"additional_fee_tax":{"type":"number","nullable":true},"amount":{"type":"number","nullable":true},"amount_remaining":{"type":"number","nullable":true},"base_amount":{"type":"number","nullable":true},"gratuity_amount":{"type":"number","nullable":true},"original_amount":{"type":"number","nullable":true},"processing_fee":{"type":"number","nullable":true},"promo_discount_amount":{"type":"number","nullable":true},"service_charge_amount":{"type":"number","nullable":true},"tax_amount":{"type":"number","nullable":true},"total":{"type":"number","nullable":true},"upsell_amount":{"type":"number","nullable":true},"is_refund":{"type":"boolean","nullable":true},"refunds":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/SevenroomsRefundEmbeddable"}}},"required":["booked_by_name","brand","charge_id","charged","charged_at","entity_date","failure_code","failure_message","id","last_4","notes","promo_code","reference_code","reservation_notes","status","transaction_id","transaction_type","venue_id","additional_fee","additional_fee_tax","amount","amount_remaining","base_amount","gratuity_amount","original_amount","processing_fee","promo_discount_amount","service_charge_amount","tax_amount","total","upsell_amount","is_refund","refunds"]},"SevenroomsRefundEmbeddable":{"type":"object","properties":{"amount":{"type":"number","nullable":true},"date_refunded":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true}},"required":["amount","date_refunded","reason"]},"SevenroomsPriceBreakdownEmbeddable":{"type":"object","properties":{"base_amount":{"type":"number","nullable":true},"gratuity_amount":{"type":"number","nullable":true},"gratuity_percentage":{"type":"number","nullable":true},"service_charge_amount":{"type":"number","nullable":true},"service_charge_percentage":{"type":"number","nullable":true},"tax_amount":{"type":"number","nullable":true},"tax_rate":{"type":"number","nullable":true},"total_amount":{"type":"number","nullable":true},"upsell_amount":{"type":"number","nullable":true},"gratuity_type":{"type":"string","nullable":true}},"required":["base_amount","gratuity_amount","gratuity_percentage","service_charge_amount","service_charge_percentage","tax_amount","tax_rate","total_amount","upsell_amount","gratuity_type"]},"FacebookCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"profile_pic":{"type":"string","nullable":true},"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"name_format":{"type":"string","nullable":true},"gender":{"type":"string","nullable":true}},"required":["id","profile_pic","first_name","last_name","name","name_format","gender"]},"InstagramCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"profile_pic":{"type":"string","nullable":true},"profile_picture_url":{"type":"string","nullable":true},"follower_count":{"type":"number","nullable":true},"is_user_follow_business":{"type":"boolean","nullable":true},"is_business_follow_user":{"type":"boolean","nullable":true}},"required":["id","username","name","profile_pic","profile_picture_url","follower_count","is_user_follow_business","is_business_follow_user"]},"WhatsAppCustomerMetadatasEmbeddable":{"type":"object","properties":{"wa_id":{"type":"string","nullable":true},"user_id":{"type":"string","nullable":true},"profile":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/WhatsAppProfileCustomerMetadatasEmbeddable"}]}},"required":["wa_id","user_id","profile"]},"WhatsAppProfileCustomerMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true}},"required":["name"]},"MewsCustomerMetadatasEmbeddable":{"type":"object","properties":{"customer":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MewsCustomerEmbeddable"}]},"documents":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/MewsDocumentEmbeddable"}}},"required":["customer","documents"]},"MewsCustomerEmbeddable":{"type":"object","properties":{"Title":{"description":"Courtesy title reported by Mews, when available.","nullable":true,"allOf":[{"$ref":"#/components/schemas/MewsCustomerTitle"}]},"Sex":{"description":"Sex reported by Mews, when available.","nullable":true,"allOf":[{"$ref":"#/components/schemas/MewsCustomerSex"}]},"ActivityState":{"description":"Current activity state reported by Mews, when available.","nullable":true,"allOf":[{"$ref":"#/components/schemas/MewsCustomerActivityState"}]},"Gender":{"description":"Gender reported by Mews, when available.","nullable":true,"allOf":[{"$ref":"#/components/schemas/MewsCustomerGender"}]},"Passport":{"anyOf":[{"$ref":"#/components/schemas/MewsDocumentEmbeddable"},{"type":"string","nullable":true}]},"IdentityCard":{"anyOf":[{"$ref":"#/components/schemas/MewsDocumentEmbeddable"},{"type":"string","nullable":true}]},"Visa":{"anyOf":[{"$ref":"#/components/schemas/MewsDocumentEmbeddable"},{"type":"string","nullable":true}]},"DriversLicense":{"anyOf":[{"$ref":"#/components/schemas/MewsDocumentEmbeddable"},{"type":"string","nullable":true}]},"Id":{"type":"string","nullable":true},"ChainId":{"type":"string","nullable":true},"Number":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"SecondLastName":{"type":"string","nullable":true},"NationalityCode":{"type":"string","nullable":true},"LanguageCode":{"type":"string","nullable":true},"BirthDate":{"type":"string","nullable":true},"BirthPlace":{"type":"string","nullable":true},"BirthCountryCode":{"type":"string","nullable":true},"BirthCountrySubdivisionCode":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"TaxIdentificationNumber":{"type":"string","nullable":true},"LoyaltyCode":{"type":"string","nullable":true},"AccountingCode":{"type":"string","nullable":true},"BillingCode":{"type":"string","nullable":true},"Notes":{"type":"string","nullable":true},"CreatorProfileId":{"type":"string","nullable":true},"UpdaterProfileId":{"type":"string","nullable":true},"DietaryRequirements":{"type":"string","nullable":true},"CarRegistrationNumber":{"type":"string","nullable":true},"Classifications":{"nullable":true,"type":"array","items":{"type":"string"}},"Options":{"nullable":true,"type":"array","items":{"type":"string"}},"Address":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/MewsCustomerAddressEmbeddable"}]},"CreatedUtc":{"type":"string","nullable":true},"UpdatedUtc":{"type":"string","nullable":true},"ItalianDestinationCode":{"type":"string","nullable":true},"ItalianFiscalCode":{"type":"string","nullable":true},"ItalianLotteryCode":{"type":"string","nullable":true},"CompanyId":{"type":"string","nullable":true},"MergeTargetId":{"type":"string","nullable":tr
[...]
